# Outbox

Valtimo emits [CloudEvents](https://cloudevents.io/) to a broker using the [outbox module](/v12/fundamentals/getting-started/modules/core/outbox.md). The main purpose of these events is to create an audit log, but it could be used in other ways as well.

The emitted events are documented as an AsyncAPI spec which can be found [here](https://github.com/valtimo-platform/valtimo-events). A more browser-friendly version of this spec can be found [here](https://valtimo-platform.github.io/valtimo-events/).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/features/outbox.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
